Bug 805317 - 3.3 does not boot
3.3 does not boot
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: udev-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-20 17:07 EDT by Harald Reindl
Modified: 2013-02-13 19:01 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 19:01:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
dmesg output (54.68 KB, text/plain)
2012-03-20 17:07 EDT, Harald Reindl
no flags Details

  None (edit)
Description Harald Reindl 2012-03-20 17:07:12 EDT
Created attachment 571527 [details]
dmesg output

i recently tested kernel-3.3.0-2.fc16.x86_64 in my testserver-vm
sad to say but it does not boot, at the very beginning it hangs a long ime around syslog-brdige leading later in emergency-mode where i could start network.service (also with a lot of errors)

i was able to write a dmesg-output before hard-reboot
see attachment
Comment 1 Dave Jones 2012-03-21 00:03:15 EDT
I suspect your problems begin here.

udevd[535]: segfault at 24 ip 00007f20da195992 sp 00007fff353824c0 error 6 in udevd[7f20da191000+21000]
Comment 2 Harald Reindl 2012-03-21 05:10:03 EDT
yes, but how comes that this does not happen with the 3.2 kernels?
Comment 3 Harald Reindl 2012-03-21 13:37:48 EDT
sorry for the noise, after try the kernel on another virtual machine which worked, followed by 2 physical machines i have fucking no idea why, but after the following steps it does also on my testserver (remind: none of this steps was needed with the previous 3.2.x kernels)

* yum reinstall \*
* uncomment LVM, LVM+RAID10-combination and /tmp as BIND-mount
* upgrade kernel

the only thing what scares me is that 3.3.0-4.fc16.x86_64 is terrible slow at bott/shutdown (raising the boot time of a VM from 5 to 60 seconds, at shutdown i see all the unmount lines about /oldsys/.... which are normally a short flickering and now the system waits around 1 second for each simple action)

this behavior is also on other VMs and physical machines while virtual machines are really terrible slow here and on physical ones it is not sooo extremly
Comment 4 Fedora End Of Life 2013-01-16 15:36:40 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Fedora End Of Life 2013-02-13 19:01:30 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.